function [x,y,z] = Newton_iter(x_old,y_old,z_old)

global h a1 a2 a3 tol maxiter


J = zeros(3,3);

x_prev = x_old;
y_prev = y_old;
z_prev = z_old;


diff=1;
it =1;
g = zeros(3,1);

while diff>tol

    f(1) = a1*(1/4)*(y_old+y_prev)*(z_old+z_prev);
    f(2) = a2*(1/4)*(z_old+z_prev)*(x_old+x_prev);
    f(3) = a3*(1/4)*(x_old+x_prev)*(y_old+y_prev);

    g(1) = x_prev - x_old -h*f(1);
    g(2) = y_prev - y_old -h*f(2);
    g(3) = z_prev - z_old -h*f(3);

    J = eye(3);
    J(1,2) = -h*a1*z_prev;
    J(1,3) = -h*a1*y_prev;
    J(2,1) = -h*a2*z_prev;
    J(2,3) = -h*a2*x_prev;
    J(3,1) = -h*a3*y_prev;
    J(3,2) = -h*a3*x_prev;
  
    resid = norm(g);

    k = J\g;

    x = x_prev - k(1);
    y = y_prev - k(2);
    z = z_prev - k(3);

    diff = sqrt((x-x_prev)^2+(y-y_prev)^2+(z-z_prev)^2);

    x_prev = x;
    y_prev = y;
    z_prev = z;


    it = it+1;
    if(it>maxiter)
        sprintf('Max nr. of iterations reached in Newton');
        break
    end
end


!DSPAM:4384252f56611336712104!
